Products

Search products

POST
/api/products/search

Searches the live catalog with structured filters. Rate limited per visitor.

Request Body

application/json

What to search for and how to filter it.

A catalog search with structured filters.

query*string

What to search for, in plain words.

Length1 <= length <= 500
maxPrice?number

Highest price per item.

Range0.01 <= value
minPrice?number

Lowest price per item.

Range0 <= value
color?string

Color name, for example black.

Lengthlength <= 30
category?string

Plain-words category, resolved server-side.

Lengthlength <= 60
gender?Gender

Men's or women's products.

Value in

  • "male"
  • "female"
limit?integer

How many products to return.

Range1 <= value <= 30
mode?SearchMode

How the catalog reads the query.

Value in

  • "default"
  • "agentic"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/products/search" \  -H "Content-Type: application/json" \  -d '{    "query": "black hoodie",    "maxPrice": 80,    "color": "black",    "limit": 5  }'
{  "category": "hoodies",  "products": [    {      "channel3Id": "w25336I",      "title": "UA Infinite Pro Men's Running Shoes",      "brand": "Under Armour",      "description": "These men's running shoes from Under Armour, the UA Infinite Pro, are designed for endurance with a focus on comfort and support. They feature a breathable e…",      "price": 116.97,      "currency": "USD",      "imageUrl": "https://cdn.trychannel3.com/aed9ec20-0e99-49b6-b011-2425732889be?aid=01M5D44F1Y9VDE34RVPPTF1H15&mid=oKaH",      "sourceUrl": "https://buy.trychannel3.com/w25336I-oKaH-Wqce8l?o=01KVATPXMQW09XVTMRDEW2Q1Y9&aid=01M5D44F1Y9VDE34RVPPTF1H15",      "sourceDomain": "underarmour.com",      "colors": [        "#1e1e20",        "#d5d4d8"      ],      "attributes": {        "activity": [          "Running"        ],        "pattern": [          "Texture",          "Geometric"        ],        "closure-type": [          "Straps",          "Lace-up"        ],        "heel-height-type": [          "Flat",          "Low"        ],        "footwear-material": [          "Mesh",          "Polyester"        ],        "shoe-fit": [          "Regular"        ],        "shoe-features": [          "Breathable design",          "Cushioned"        ],        "toe-style": [          "Round"        ],        "outsole-material": [          "Rubber"        ],        "footwear-support-type": [          "Neutral",          "Stability"        ],        "lining-material": [          "Synthetic"        ]      },      "variant": {        "Size": "10.5"      },      "variantOptions": [        {          "name": "Color",          "values": [            "Black",            "White"          ]        },        {          "name": "Size",          "values": [            "7",            "8"          ]        }      ]    }  ]}